Subject: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

From: "Susan Hares" <[email-masked]>
Date: Sun, 1 Nov 2020 21:44:01 -0500

This begins a 2 week WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1
to 11/16). 

This is the second WG LC call since the initial call had only 1 reponse
besides the authors. 

You can access the draft at:  

https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-ls-sbfd-extensions/

We have a report of draft has 1 implementation from Nokia: 

https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-bgp-ls-sbfd-extensions%20
implementations

We are missing IPR statements from Sam Aldrin and Greg Minsky.

The co-authors should encourage these authors to submit IPR statements 

by Tuesday (11/3/2020).   

In your responses please consider the following questions: 

a) Do you know any issues with this technology? 

b) Will this technology help BGP-LS deployments? 

c) Is this draft ready for publication? 

If you know of any additional implementations, please

send email to the WG chairs or respond to this email 

with the information. 

Cheers, Susan Hares

---

From: Sam Aldrin <[email-masked]>
Date: Sun, 1 Nov 2020 22:49:52 -0800

As co-author of this draft, I believe the draft is in good shape and
support publication of this.
I am not aware of any IPR associated with this draft.

-sam

>
> *From:* Idr <[email-masked]> *On Behalf Of *Susan Hares
> *Sent:* 02 November 2020 08:14
> *To:* [email-masked]
> *Subject:* [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions
> (11/1 to 11/16)
>
>
>
> https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-bgp-ls-sbfd-extensions%20implementations
>
>
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 2 Nov 2020 13:07:01 +0000

Hi Sue, IDR WG,
I support publication. The encodings are consistent with RFC 7883 and RFC 7884.
Thanks,
Acee

From: Idr <[email-masked]> on behalf of Susan Hares <[email-masked]>
Date: Sunday, November 1, 2020 at 9:45 PM
To: IDR List <[email-masked]>
Subject: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

This begins a 2 week WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16).
This is the second WG LC call since the initial call had only 1 reponse besides the authors.

Cheers, Susan Hares

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 2 Nov 2020 12:34:53 -0800

I’d like to reiterate my support as co-author.
With RFC 7883 and RFC 7884 published this is the last step.

Cheers,
Jeff
On Nov 2, 2020, 5:07 AM -0800, Acee Lindem (acee) <acee=[email-masked]>, wrote:
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 3 Nov 2020 03:02:40 +0000

Re-posting to the list as requested by Greg.

From: Greg Mirsky <[email-masked]>
Sent: 03 November 2020 03:29
To: Jeff Tantsura <[email-masked]>; Susan Hares <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>
Subject: Fwd: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Hi All,
for some reason, my message does not get through to the archive. Appreciate your help re-posting it for the record.

Regards,
Greg
---------- Forwarded message ---------
From: Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Mon, Nov 2, 2020 at 5:53 AM
Subject: Re: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)
To: Idr <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Susan Hares <[email-masked]<mailto:[email-masked]>>

Dear All,
as a co-author of this draft, I believe the draft is solid and I support its publication.
I am not aware of any IPR related to this draft.

Regards,
Greg

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 02 November 2020 08:14
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Cheers, Susan Hares

---

From: Zhuangshunwan <[email-masked]>
Date: Tue, 3 Nov 2020 07:16:15 +0000

Hi Sue, IDR WG,

I support publication of the document.

Thanks,
Shunwan

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Monday, November 2, 2020 10:44 AM
To: [email-masked]
Subject: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Cheers, Susan Hares

---

From: Lizhenbin <[email-masked]>
Date: Tue, 3 Nov 2020 07:22:44 +0000

Hi All,
I support the LC as the co-author.

Best Regards,
Zhenbin (Robin)

Cheers, Susan Hares

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Tue, 3 Nov 2020 07:22:50 +0000

Hi Sue, IDR WG,

Yes，support.

Regards,
Haibo

Cheers, Susan Hares

---

From: Huzhibo <[email-masked]>
Date: Tue, 3 Nov 2020 07:11:02 +0000

Yes，support.

Regards,
Zhibo hu

Cheers, Susan Hares

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 3 Nov 2020 07:39:20 +0000

Hi Sue,

I support the publication of this document. This aligns with the IS-IS and OSPF extensions for sbfd.

Best regards,
Jie

Cheers, Susan Hares

---

From: "Van De Velde, Gunter (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 3 Nov 2020 12:37:16 +0000

Hi Sue, All,

Support.
Nokia has an implementation of the draft.

G/

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: Monday, November 2, 2020 03:44
To: [email-masked]
Subject: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Cheers, Susan Hares

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Tue, 3 Nov 2020 21:19:50 +0000

Support.

Regards,
Jakob.

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: Sunday, November 1, 2020 6:44 PM
To: [email-masked]
Subject: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Cheers, Susan Hares

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Thu, 12 Nov 2020 04:02:55 +0000

Yes, support. The mechanism is useful and the extension is valid.

Cheng

Cheers, Susan Hares

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2020 10:36:24 +0530

Hi WG,

I support publication, the extension is useful and the document clear.

Just a few nits -

- Expand LSP, PW, iBGP, eBGP on first use
- s/Type: 1032/Type: 1032 (early allocated by IANA)/
- Section 4, you have -

   The S-BFD Discriminators TLV can only be added to the BGP-LS
   Attribute associated with the Node NLRI that originates the
   corresponding underlying IGP TLV/sub-TLV as described below.

and then the next paragraph -

   When the node is not running any of the IGPs but running a protocol
   like BGP, ...

I suggest removing the "only" as it adds to confusion as non-IGP cases
are allowed as well.

- Check if RFC7883 and RFC7884 are better suited as informative.

Thanks!
Dhruv

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 13 Nov 2020 05:41:33 +0000

Hi Dhruv,

Thanks for your review and ack for all the comments except the last one on the references. The IGP specs have been traditionally used as normative in BGP-LS and so I would prefer to keep it that way here too.

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Dhruv Dhody
Sent: 13 November 2020 10:36
To: Susan Hares <[email-masked]>
Cc: idr wg <[email-masked]>
Subject: Re: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Hi WG,

Just a few nits -

I suggest removing the "only" as it adds to confusion as non-IGP cases are allowed as well.

Thanks!
Dhruv

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 13 Nov 2020 11:30:19 +0530

Hi Ketan,

> Thanks for your review and ack for all the comments except the last one on the references. The IGP specs have been traditionally used as normative in BGP-LS and so I would prefer to keep it that wa…

I am all for traditions :) but IMHO they were normative in the other
BGP-LS documents because one needs to "normatively" refer to them to
know the encoding and understand the meaning of the various fields. I
don't see that here. Hope this helps to understand why I asked to
re-evaluate this, rest is up to you!

Thanks!
Dhruv

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Sun, 15 Nov 2020 07:46:18 +0000

Hi Dhruv,

Thanks again for your review and an updated version has been posted to address your comments.

https://tools.ietf.org/html/draft-ietf-idr-bgp-ls-sbfd-extensions-04

Thanks,
Ketan

-----Original Message-----
From: Dhruv Dhody <[email-masked]> 
Sent: 13 November 2020 11:30
To: Ketan Talaulikar (ketant) <[email-masked]>
Cc: Susan Hares <[email-masked]>; idr wg <[email-masked]>
Subject: Re: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Hi Ketan,

> Thanks for your review and ack for all the comments except the last one on the references. The IGP specs have been traditionally used as normative in BGP-LS and so I would prefer to keep it that wa…

I am all for traditions :) but IMHO they were normative in the other BGP-LS documents because one needs to "normatively" refer to them to know the encoding and understand the meaning of the various fields. I don't see that here. Hope this helps to understand why I asked to re-evaluate this, rest is up to you!

Thanks!
Dhruv

> Subject: Re: [Idr] IPR and WG LC for 
> draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)
>
> Hi WG,
>
> > https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-ls-sbfd-extensio
> > ns
> > /
> >
> >
> >
> > https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-bgp-ls-sbfd-exten
> > si
> > ons%20implementations
> >
> >
> >

---

From: "Susan Hares" <[email-masked]>
Date: Sun, 15 Nov 2020 22:08:04 -0500

Reposting the message regarding IPR for Greg Mirsky.  

Sue 

From: Greg Mirsky [mailto:[email-masked]] 
Sent: Monday, November 2, 2020 4:59 PM
To: Jeff Tantsura; Susan Hares; Ketan Talaulikar (ketant)
Subject: Fwd: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Hi All,

Regards,

Greg

---------- Forwarded message ---------
From: Greg Mirsky <[email-masked]>
Date: Mon, Nov 2, 2020 at 5:53 AM
Subject: Re: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)
To: Idr <[email-masked]>, <[email-masked]>, Susan Hares <[email-masked]>

Dear All,

Regards,

Greg

by Tuesday (11/3/2020).   

with the information. 

Cheers, Susan Hares

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 16 Nov 2020 04:11:15 -0500

Sue,

> https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-ls-sbfd-extensions/

As an IDR contributor, I support moving this document forward for
publication.

As a BFD co-chair, the procedures noted in the document are in alignment
with BFD documents currently published.

Document nit: RFC 2119 has been updated by RFC 8174 and the authors should
consider using that.

-- Jeff

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 16 Nov 2020 09:00:27 +0000

Hi Jeff,

Thanks for your review and support.

Regd RFC2119/8174, the "boilerplate" seems to call for reference to both (seemed odd for me too!) : https://tools.ietf.org/html/rfc8174#section-2

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Jeffrey Haas
Sent: 16 November 2020 14:41
To: Susan Hares <[email-masked]>
Cc: [email-masked]
Subject: Re: [Idr] IPR and WG LC for draft-ietf-idr-bgp-ls-sbfd-extensions (11/1 to 11/16)

Sue,

> https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-ls-sbfd-extensions

As an IDR contributor, I support moving this document forward for publication.

As a BFD co-chair, the procedures noted in the document are in alignment with BFD documents currently published.

Document nit: RFC 2119 has been updated by RFC 8174 and the authors should consider using that.

-- Jeff

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 16 Nov 2020 04:25:51 -0500

Ketan,

My apologies on incorrectly flagging 8174.  I saw 2119 and didn't look
further down.  I blame working on the wrong time zone. :-)

-- Jeff